Name:           permlib
Version:        0.2.6
Release:        2%{?dist}
Summary:        Library for permutation computations

License:        BSD
URL:            http://www.math.uni-rostock.de/~rehn/software/%{name}.html
Source0:        http://www.math.uni-rostock.de/~rehn/software/%{name}-%{version}.tar.gz
# Doxygen config file written by Jerry James <loganjerry@gmail.com>
Source1:        %{name}-Doxyfile
BuildArch:      noarch

BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  dvipng
BuildRequires:  doxygen
BuildRequires:  gmp-devel
BuildRequires:  tex(latex)

%description
PermLib is a callable C++ library for permutation computations.
Currently it supports set stabilizer and in-orbit computations, based on
bases and strong generating sets (BSGS).  Additionally, it computes
automorphisms of symmetric matrices and finds the lexicographically
smallest set in an orbit of sets.

%package devel
Summary:        Header files for developing programs that use PermLib
Requires:       boost-devel

%description devel
PermLib is a callable C++ library for permutation computations.
Currently it supports set stabilizer and in-orbit computations, based on
bases and strong generating sets (BSGS).  Additionally, it computes
automorphisms of symmetric matrices and finds the lexicographically
smallest set in an orbit of sets.

This package contains header files for developing programs that use
PermLib.

%prep
%setup -q
sed "s/@VERSION@/%{version}/" %{SOURCE1} > Doxyfile

%build
%cmake .
make %{?_smp_mflags}

# Build the documentation
mkdir doc
doxygen
rm -f doc/html/installdox

%install
# No install target is generated in the makefile, and
# DESTDIR=$RPM_BUILD_ROOT cmake -P cmake_install.cmake
# does nothing, so we do it by hand.

# Install the header files
mkdir -p $RPM_BUILD_ROOT%{_includedir}
cp -a include/%{name} $RPM_BUILD_ROOT%{_includedir}

%check
ctest

%files devel
%doc AUTHORS CHANGELOG LICENSE doc/html
%{_includedir}/permlib

%changelog
* Fri May  4 2012 Jerry James <loganjerry@gmail.com> - 0.2.6-2
- BR gmp-devel
- Add comment on origin of Doxyfile

* Fri Mar 16 2012 Jerry James <loganjerry@gmail.com> - 0.2.6-1
- Initial RPM
